/**
* @subpackage	com_articlelinked
* @author		Antonio Di Girolamo & Giampaolo Losito
* @copyright	Copyright (C) 2011 isApp.it. All rights reserved.
* @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* @link			http://www.isapp.it/article-link.html
*/
var _pw	= (window.opener == null) ? window.parent : window.opener;
function getSelectedText() {
	//Set Editor
	if ($type(_pw.tinymce) == 'object') {
		if ($type(_pw.JContentEditor) == 'object') {
			editorPlugin	= 'JCE';
		} else {
			editorPlugin	= 'TinyMCE';
		}
		editorPlugin	+= _pw.tinymce.majorVersion;
	} else if ($type(_pw.tinyMCE) == 'object') {
		editorPlugin	= 'TinyMCE'+ _pw.tinyMCE.majorVersion;
	} else if ($type(_pw.FCKeditorAPI) == 'object') {
		editorPlugin	= 'FCK'+ _pw.FCKeditorAPI.Version.toFloat();
	} else if ($type(_pw.editortext) == 'object') {
		editorPlugin	= 'TME'+ _pw.editortext.config.version.replace(/[^0-9\.]/ig, '');
	} else if ($type(_pw.xs_text) == 'object') {
		editorPlugin	= 'XHTMLSuite'+ _pw.xs_text.config.version.toFloat();
	} else if ($type(_pw.document.getElementById('xstandard')) == 'element') {
		editorPlugin	= 'XStandard';
	} else if ($type(_pw.Xinha) == 'function') {
		editorPlugin	= 'Xinha';
		editorPluginVersion	= _pw.Xinha.version.Release;
	} else {
		editorPlugin	= '?';
	}

	// Find selected text
	HTMLText		= '';
	selectedText	= '';
	switch(editorPlugin)
	{
		// TinyMCE. Thanks to ralig
		case 'TinyMCE2':
			HTMLText	= _pw.tinyMCE.selectedInstance.selection.getSelectedHTML();
			break;
		
		// JCE, TinyMCE 3
		case 'JCE':
		case 'JCE3':
		case 'TinyMCE3':
			HTMLText	= _pw.tinyMCE.activeEditor.selection.getContent();
			break;
		
		// Joomla FCK...
		case 'FCK2.5':
		case 'FCK2.6':
			var _i	= _pw.FCKeditorAPI.GetInstance(editor);
			//var _n	= _pw.FCKeditorAPI.GetInstance(editor).Selection.GetSelectedNode();
			switch(_i.Selection.GetType().toLowerCase())
			{
				case'text':
					if (window.getSelection)
						HTMLText	= _i.EditorWindow.getSelection().toString();
					else if (document.selection)
						HTMLText	= _i.EditorDocument.selection.createRange().text;
					else HTMLText	= '';
					break;
				
				case'control':
					var s	= _i.Selection.GetSelectedElement();
					if (s.nodeName.toLowerCase() == 'img')
					{
						HTMLText	= '<img src="'+ s.src.replace(siteRoot, '') +'"';
						if(s.alt) HTMLText += 'alt="'+ s.alt +'"';
						if(s.name) HTMLText += 'name="'+ s.name +'"';
						if(s.border) HTMLText += 'border="'+ s.border +'"';
						if(s.height) HTMLText += 'height="'+ s.height +'"';
						if(s.width) HTMLText += 'width="'+ s.width +'"';
						if(s.align) HTMLText += 'align="'+ s.align +'"';
						HTMLText += '/>';
					} else {
						HTMLText	= '';
					}
					break;
			}
			break;
		
		// TMEdit
		case 'TME1.1':
			HTMLText	= _pw.editortext.getSelectedHTML();
			break;
		
		// XStandard
		case 'XStandard':
			HTMLText	= _pw.document.getElementById('xstandard').SelectedXML;
			break;
		
		// XHTMLSuite
		case 'XHTMLSuite1':
		case 'XHTMLSuite2':
			HTMLText	= _pw.xs_text.getSelectedHTML();
			break;
		
		// Xinha
		case 'Xinha':
			if (editorPluginVersion < 2) {
				HTMLText	= _pw.xinha_editors.text.getSelectedHTML();
			}
	}
	return HTMLText;
}

function setText() {
	selectedText = getSelectedText();
	
	$('text').value = (selectedText != '') ? selectedText.replace(/(<([^>]+)>)/ig,"") : $('title').value;
}

function insertLink(editor) {
	var link = $('link').value;
	var title = $('tooltip').value;
	var target = $('target').value;
	var itemid = ($('itemid').value == '') ? '' : '&amp;Itemid='+$('itemid').value;
	var tag = '<a href="'+link+itemid+'"';
	tag += (title != '') ? 'title="'+title+'"' : ''; 
	tag += ($('target').checked) ? 'target="'+target+'"' : ''; 
	tag += '>'+$('text').value;
	tag += '</a>';

	// insert html in editor
	_pw.jInsertEditorText(tag, editor);
	if(window.opener != null) {
		window.close();
		return false;
	}
	_pw.document.getElementById('sbox-window').close();
	return false;
}