<?php
/**
* @subpackage	com_articlelinked
* @author		Antonio Di Girolamo & Giampaolo Losito
* @copyright	Copyright (C) 2011 isApp.it. All rights reserved.
* @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* @link			http://www.isapp.it/article-link.html
*/
// No direct access
defined('_JEXEC') or die( 'Restricted access' );

jimport('joomla.application.component.view');

class ArticlelinkedViewArticle extends JView
{
	/**
	 * Display the view
	 *
	 * @return	void
	 */
	public function display($tpl = null)
	{
		$id	= JRequest::getVar( 'id', 0, '', 'int' );
		$row = null;
		if($id > 0) {
			$model = $this->getModel();
			$row = $model->getArticle($id);
			$itemids = $model->findItemid($row->id, $row->catid, $row->sectionid);
			
			$listItemid	= array();
			$listItemid[] 	= JHTML::_('select.option',  '', JText::_( 'ANY' ) );
			foreach ($itemids as $key => $value) {
				$listItemid[] = JHTML::_('select.option', $key, $value);
			}
			reset($itemids);
			$default = (count($itemids) == 1) ? key($itemids) : '';
			$lists['itemid']= JHTML::_('select.genericlist',  $listItemid, 'itemid', '', 'value', 'text', $default);
		}
		$this->assign('row', $row);
		$this->assign('lists', $lists);
		
		$doc =& JFactory::getDocument();
		$doc->addStyleSheet( '../administrator/components/com_articlelinked/css/style.css' );
		$doc->addScript( '../administrator/components/com_articlelinked/js/editor.js' );
		
		parent::display($tpl);
	}
}
